<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: RockBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d6f/class_rock_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">RockBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RockBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/d6f/class_rock_base.png" usemap="#RockBase_map" alt=""/>
  <map id="RockBase_map" name="RockBase_map">
<area href="../../d8/d83/class_object.html" alt="Object" shape="rect" coords="0,0,174,24"/>
<area href="../../de/d37/class_static__rock__apart1.html" alt="Static_rock_apart1" shape="rect" coords="184,112,358,136"/>
<area href="../../db/d1e/class_static__rock__apart2.html" alt="Static_rock_apart2" shape="rect" coords="184,168,358,192"/>
<area href="../../d1/d47/class_static__rock__bright__apart1.html" alt="Static_rock_bright_apart1" shape="rect" coords="184,224,358,248"/>
<area href="../../d5/d1f/class_static__rock__bright__apart2.html" alt="Static_rock_bright_apart2" shape="rect" coords="184,280,358,304"/>
<area href="../../dc/d25/class_static__rock__bright__monolith1.html" alt="Static_rock_bright_monolith1" shape="rect" coords="184,336,358,360"/>
<area href="../../df/d3c/class_static__rock__bright__monolith2.html" alt="Static_rock_bright_monolith2" shape="rect" coords="184,392,358,416"/>
<area href="../../d5/d7a/class_static__rock__bright__monolith3.html" alt="Static_rock_bright_monolith3" shape="rect" coords="184,448,358,472"/>
<area href="../../d9/d71/class_static__rock__bright__monolith4.html" alt="Static_rock_bright_monolith4" shape="rect" coords="184,504,358,528"/>
<area href="../../dc/deb/class_static__rock__bright__spike1.html" alt="Static_rock_bright_spike1" shape="rect" coords="184,560,358,584"/>
<area href="../../dd/db7/class_static__rock__bright__spike2.html" alt="Static_rock_bright_spike2" shape="rect" coords="184,616,358,640"/>
<area href="../../d1/d04/class_static__rock__bright__spike3.html" alt="Static_rock_bright_spike3" shape="rect" coords="184,672,358,696"/>
<area href="../../d7/d89/class_static__rock__bright__wallh1.html" alt="Static_rock_bright_wallh1" shape="rect" coords="184,728,358,752"/>
<area href="../../de/dfd/class_static__rock__bright__wallh2.html" alt="Static_rock_bright_wallh2" shape="rect" coords="184,784,358,808"/>
<area href="../../d4/d9c/class_static__rock__bright__wallh3.html" alt="Static_rock_bright_wallh3" shape="rect" coords="184,840,358,864"/>
<area href="../../d9/dd2/class_static__rock__bright__wallv.html" alt="Static_rock_bright_wallv" shape="rect" coords="184,896,358,920"/>
<area href="../../dc/dba/class_static__rock__monolith1.html" alt="Static_rock_monolith1" shape="rect" coords="184,952,358,976"/>
<area href="../../dd/dd7/class_static__rock__monolith2.html" alt="Static_rock_monolith2" shape="rect" coords="184,1008,358,1032"/>
<area href="../../dd/db6/class_static__rock__monolith3.html" alt="Static_rock_monolith3" shape="rect" coords="184,1064,358,1088"/>
<area href="../../dc/d13/class_static__rock__monolith4.html" alt="Static_rock_monolith4" shape="rect" coords="184,1120,358,1144"/>
<area href="../../d1/db8/class_static__rock__spike1.html" alt="Static_rock_spike1" shape="rect" coords="184,1176,358,1200"/>
<area href="../../df/d12/class_static__rock__spike2.html" alt="Static_rock_spike2" shape="rect" coords="184,1232,358,1256"/>
<area href="../../d6/df8/class_static__rock__spike3.html" alt="Static_rock_spike3" shape="rect" coords="184,1288,358,1312"/>
<area href="../../d8/d16/class_static__rock__stone10.html" alt="Static_rock_stone10" shape="rect" coords="184,1344,358,1368"/>
<area href="../../dc/dfd/class_static__rock__stone10__moss.html" alt="Static_rock_stone10_moss" shape="rect" coords="184,1400,358,1424"/>
<area href="../../d3/de2/class_static__rock__stone6.html" alt="Static_rock_stone6" shape="rect" coords="184,1456,358,1480"/>
<area href="../../da/de4/class_static__rock__stone6__moss.html" alt="Static_rock_stone6_moss" shape="rect" coords="184,1512,358,1536"/>
<area href="../../da/dc6/class_static__rock__stone7.html" alt="Static_rock_stone7" shape="rect" coords="184,1568,358,1592"/>
<area href="../../d0/d16/class_static__rock__stone7__moss.html" alt="Static_rock_stone7_moss" shape="rect" coords="184,1624,358,1648"/>
<area href="../../d2/dbe/class_static__rock__stone8.html" alt="Static_rock_stone8" shape="rect" coords="184,1680,358,1704"/>
<area href="../../df/d35/class_static__rock__stone8__moss.html" alt="Static_rock_stone8_moss" shape="rect" coords="184,1736,358,1760"/>
<area href="../../d3/db7/class_static__rock__stone9.html" alt="Static_rock_stone9" shape="rect" coords="184,1792,358,1816"/>
<area href="../../d7/de6/class_static__rock__stone9__moss.html" alt="Static_rock_stone9_moss" shape="rect" coords="184,1848,358,1872"/>
<area href="../../d4/d88/class_static__rock__wallh1.html" alt="Static_rock_wallh1" shape="rect" coords="184,1904,358,1928"/>
<area href="../../dc/d58/class_static__rock__wallh2.html" alt="Static_rock_wallh2" shape="rect" coords="184,1960,358,1984"/>
<area href="../../d1/ded/class_static__rock__wallh3.html" alt="Static_rock_wallh3" shape="rect" coords="184,2016,358,2040"/>
<area href="../../d8/dbd/class_static__rock__wallv.html" alt="Static_rock_wallv" shape="rect" coords="184,2072,358,2096"/>
<area href="../../d9/dcb/class_static__stone1.html" alt="Static_stone1" shape="rect" coords="184,2128,358,2152"/>
<area href="../../d6/d93/class_static__stone2.html" alt="Static_stone2" shape="rect" coords="184,2184,358,2208"/>
<area href="../../dc/deb/class_static__stone3.html" alt="Static_stone3" shape="rect" coords="184,2240,358,2264"/>
<area href="../../dd/d08/class_static__stone4.html" alt="Static_stone4" shape="rect" coords="184,2296,358,2320"/>
<area href="../../d7/dbc/class_static__stone5.html" alt="Static_stone5" shape="rect" coords="184,2352,358,2376"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae54cfc564212c6f5d695a2db36033751"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d6f/class_rock_base.html#ae54cfc564212c6f5d695a2db36033751">IsRock</a> ()</td></tr>
<tr class="separator:ae54cfc564212c6f5d695a2db36033751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a333ee79d986ec85bec5ed5ef373c168c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d6f/class_rock_base.html#a333ee79d986ec85bec5ed5ef373c168c">GetAmountOfDrops</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a333ee79d986ec85bec5ed5ef373c168c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9384ccef40ac89bd3fa831fbd1cfb775"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d6f/class_rock_base.html#a9384ccef40ac89bd3fa831fbd1cfb775">GetMaterialAndQuantityMap</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt; output_map)</td></tr>
<tr class="separator:a9384ccef40ac89bd3fa831fbd1cfb775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1506d8b01c2632ec95d364d3859a218f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d6f/class_rock_base.html#a1506d8b01c2632ec95d364d3859a218f">GetDamageToMiningItemEachDrop</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a1506d8b01c2632ec95d364d3859a218f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d0/d89/_rock_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../d0/d89/_rock_base_8c_source.html">RockBase.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a333ee79d986ec85bec5ed5ef373c168c" name="a333ee79d986ec85bec5ed5ef373c168c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a333ee79d986ec85bec5ed5ef373c168c">&#9670;&#160;</a></span>GetAmountOfDrops()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RockBase::GetAmountOfDrops </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d89/_rock_base_8c_source.html#l00008">8</a> of file <a class="el" href="../../d0/d89/_rock_base_8c_source.html">RockBase.c</a>.</p>

</div>
</div>
<a id="a1506d8b01c2632ec95d364d3859a218f" name="a1506d8b01c2632ec95d364d3859a218f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1506d8b01c2632ec95d364d3859a218f">&#9670;&#160;</a></span>GetDamageToMiningItemEachDrop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> RockBase::GetDamageToMiningItemEachDrop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d89/_rock_base_8c_source.html#l00050">50</a> of file <a class="el" href="../../d0/d89/_rock_base_8c_source.html">RockBase.c</a>.</p>

</div>
</div>
<a id="a9384ccef40ac89bd3fa831fbd1cfb775" name="a9384ccef40ac89bd3fa831fbd1cfb775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9384ccef40ac89bd3fa831fbd1cfb775">&#9670;&#160;</a></span>GetMaterialAndQuantityMap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RockBase::GetMaterialAndQuantityMap </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td>
          <td class="paramname"><em>output_map</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d89/_rock_base_8c_source.html#l00025">25</a> of file <a class="el" href="../../d0/d89/_rock_base_8c_source.html">RockBase.c</a>.</p>

</div>
</div>
<a id="ae54cfc564212c6f5d695a2db36033751" name="ae54cfc564212c6f5d695a2db36033751"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae54cfc564212c6f5d695a2db36033751">&#9670;&#160;</a></span>IsRock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> RockBase::IsRock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d89/_rock_base_8c_source.html#l00003">3</a> of file <a class="el" href="../../d0/d89/_rock_base_8c_source.html">RockBase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/<a class="el" href="../../d0/d89/_rock_base_8c_source.html">RockBase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d6f/class_rock_base.html">RockBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
